%global         ver 0771

Name:           ultimatestunts
Version:        0.7.7
Release:        %mkrel 5
Summary:        Remake of the famous DOS-game Stunts

Group:          Games/Sports
License:        GPLv2+
URL:            http://www.ultimatestunts.nl
Source0:        http://downloads.sf.net/ultimatestunts/%{name}-srcdata-%{ver}.tar.gz
Source1:        %{name}.png
Patch0:         ultimatestunts-0761-make.patch
Patch1:         ultimatestunts-0751-locale.patch
Patch2:         ultimatestunts-0761-unistd.patch

BuildRequires:  desktop-file-utils
BuildRequires:  dos2unix
BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(vorbis)

%description
UltimateStunts is a remake of the famous DOS-game Stunts, with modern
features such as OpenGL graphics, 3D sound and Internet multiplaying.

Racing in Ultimate Stunts involves some really spectacular stunts,
like loopings, corkscrews, bridges to jump over, etc., but the best thing
is that you can design your own tracks!

%prep
%setup -q -n %{name}-srcdata-%{ver}
%apply_patches

# remove SVN control files
find . -name .svn -type d -print0 | xargs -0 rm -rf

# fix EOL and encoding
pushd "doc/nolanguage/Original Stunts Track-Format_files"
dos2unix -q style.css
dos2unix -q stunts.htm
touch -r tree.png style.css stunts.htm

f=stunts.htm
iconv -f ISO8859-1 -t UTF-8 -o $f.new $f
touch -r tree.png $f.new
mv $f.new $f
popd

pushd doc/nl
for f in *.htm; do
    iconv -f ISO8859-1 -t UTF-8 -o $f.new $f
    touch -r $f $f.new
    mv $f.new $f
done
popd

# ensure the config gets regenerated with correct datadir (mga#15877)
rm -f %{name}.conf

%build
export LIBS+="-lpthread"
%configure2_5x --bindir=%{_gamesbindir}
%make usdatadir=%{_gamesdatadir}/%{name}

%install
%makeinstall_std usdatadir=%{buildroot}%{_gamesdatadir}/%{name} \
                 localedir=%{_datadir}/locale

rm -rf %{buildroot}%{_gamesdatadir}/%{name}/lang

install -D -m644 %{_sourcedir}/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Ultimate Stunts
Comment=%{summary}
Exec=ustunts
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;SportsGame;
EOF

cat > %{buildroot}%{_datadir}/applications/%{name}-trackedit.desktop << EOF
[Desktop Entry]
Name=Ultimate Stunts Track Editor
Comment=The Ultimate Stunts track editor
Exec=ustuntstrackedit
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;SportsGame;
EOF

%files
%doc AUTHORS doc/*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.*
%{_datadir}/pixmaps/%{name}.png
%{_gamesbindir}/ustunts*
%{_gamesdatadir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.7.7-5.mga6
+ Revision: 952695
- Mageia 6 Mass Rebuild

* Thu May 07 2015 akien <akien> 0.7.7-4.mga5
+ Revision: 821408
- Fix wrong path to datadir in config file (mga#15877)

* Wed Oct 15 2014 umeabot <umeabot> 0.7.7-3.mga5
+ Revision: 745500
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.7-2.mga5
+ Revision: 690034
- Mageia 5 Mass Rebuild

* Fri May 09 2014 akien <akien> 0.7.7-1.mga5
+ Revision: 621550
- imported package ultimatestunts

